OpenTTD Source: PLYRChunkHandler Struct Reference

OpenTTD Source 14.0-beta3

Public Member Functions
PLYRChunkHandler Struct Reference
Inheritance diagram for PLYRChunkHandler:

## Public Member Functions
void | Save () const override
| Save the chunk. More...
void | Load () const override
| Load the chunk. More...
void | LoadCheck (size_t) const override
| Load the chunk for game preview. More...
void | FixPointers () const override
| Fix the pointers. More...
Public Member Functions inherited from ChunkHandler
| ChunkHandler (uint32_t id, ChunkType type)
std::string | GetName () const

## Additional Inherited Members
Data Fields inherited from ChunkHandler
uint32_t | id
| Unique ID (4 letters).
ChunkType | type
| Type of the chunk. More...

## Detailed Description

Definition at line 499 of file company_sl.cpp.

## Member Function Documentation

## ◆ FixPointers()

void PLYRChunkHandler::FixPointers | ( |  | ) | const
| inlineoverridevirtual

Fix the pointers.

Pointers are saved using the index of the pointed object. On load, pointers are filled with indices and need to be fixed to point to the real object. Must be overridden if the chunk saves any pointer.

Reimplemented from ChunkHandler.

Definition at line 558 of file company_sl.cpp.

References Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_company_pool >::Iterate(), and SlObject().

## ◆ Load()

void PLYRChunkHandler::Load | ( |  | ) | const
| inlineoverridevirtual

Load the chunk.

Must be overridden.

Implements ChunkHandler.

Definition at line 512 of file company_sl.cpp.

References SlCompatTableHeader().

## ◆ LoadCheck()

void PLYRChunkHandler::LoadCheck | ( | size_t | len | ) | const
| inlineoverridevirtual

Load the chunk for game preview.

Default implementation just skips the data.

Parameters

  len | Number of bytes to skip.

Reimplemented from ChunkHandler.

Definition at line 525 of file company_sl.cpp.

References SlCompatTableHeader().

## ◆ Save()

void PLYRChunkHandler::Save | ( |  | ) | const
| inlineoverridevirtual

Save the chunk.

Must be overridden, unless Chunk type is CH_READONLY.

Reimplemented from ChunkHandler.

Definition at line 502 of file company_sl.cpp.

References SlTableHeader().

The documentation for this struct was generated from the following file:

- src/saveload/company_sl.cpp